=== wds/CMakeLists.txt ===
AETHERCAST_ADD_TEST(videoformatselection_tests videoformatselection_tests.cpp)
