=== ac/dbus/CMakeLists.txt ===
AETHERCAST_ADD_TEST(controllerskeleton_tests controllerskeleton_tests.cpp)
AETHERCAST_ADD_TEST(networkdeviceskeleton_tests networkdeviceskeleton_tests.cpp)
