=== ac/report/CMakeLists.txt ===
AETHERCAST_ADD_TEST(reportfactory_tests reportfactory_tests.cpp)
