=== debian/changelog ===
aethercast (0.1+16.10.20160808-0ubuntu3) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Sep 2016 10:24:54 +0000

aethercast (0.1+16.10.20160808-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 11:57:06 +0000

aethercast (0.1+16.10.20160808-0ubuntu1) yakkety; urgency=medium

  [ Simon Fels ]
  * Fix integration tests
  * Add URfkill support to manage kill switches on selected devices
  * Switch to new object path for Screen service as its now provided by
    repowerd
  * Fix RTSP debugging and device state update reporting
  * Fix several issues which prevent the Mii Box from connecting (LP:
    #1576331, #1597449)
  * Use a different network device on some devices for sending private
    driver commands

 -- morphis <simon.fels@canonical.com>  Mon, 08 Aug 2016 09:00:30 +0000

aethercast (0.1+16.10.20160607-0ubuntu1) yakkety; urgency=medium

  [ Simon Fels ]
  * Enable builds on arm64
  * Cleanup various things

 -- morphis <simon.fels@canonical.com>  Tue, 07 Jun 2016 08:27:42 +0000

aethercast (0.1+16.10.20160520.1-0ubuntu1) yakkety; urgency=medium

  * Some times socket output buffer was full and sending returned an
    EAGAIN error. Solved by making the socket blocking, as anyway we
    have a dedicated thread for sending and you will not be blocked in a
    datagram socket for long. LP: #1579773. (LP: #1579773)

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Fri, 20 May 2016 08:17:44 +0000

aethercast (0.1+16.04.20160506.1-0ubuntu1) xenial; urgency=medium

  [ Alfonso Sanchez-Beato ]
  * Fix for Microsoft dongle

  [ Simon Fels ]
  * Add short delay before starting the screencast stream (LP: #1578941)

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Fri, 06 May 2016 15:11:08 +0000

aethercast (0.1+16.04.20160429.2-0ubuntu1) xenial; urgency=medium

  [ Simon Fels ]
  * First release of aethercast in Ubuntu. This brings basic WiFi Display
    support to Ubuntu Touch for selected target devices.
  * Adapt for new screencast API in Mir 0.22
  * Add DBus API definition for external input providers.
  * Add DBus API specification and service usage instructions. added:
    docs/ docs/device-api.txt docs/manager-api.txt docs/overview.txt
    docs/usage.txt
  * Add DHCP client support for P2P client mode
  * Add LTTng support for aethercast
  * Add a network manager implementation to use the DBus interface of
    wpa-supplicant.
  * Add build dep on libboost-iostreams-dev Use PR_SET_CHILD_SUBREAPER
    to reap all of our children when we going down. Send SIGKILL when
    parent dies. Let supplicant wait until we connect over the socket
    with it.
  * Add build dependency on gstreamer-1.0
  * Add command line argument to enable debugging
  * Add comment about firmware loading on startup
  * Add cross-compilation support.
  * Add debug support for DHCP
  * Add dhclient wrapper and use it after group was started removed:
    src/gdhcp/ src/gdhcp/client.c src/gdhcp/common.c src/gdhcp/common.h
    src/gdhcp/gdhcp.h src/gdhcp/ipv4ll.c src/gdhcp/ipv4ll.h
    src/gdhcp/server.c src/gdhcp/unaligned.h added: src/dhcpclient.cpp
    src/dhcpclient.h
  * Add dict entry reading for supplicant message
  * Add factory to construct media managers added:
    src/mediamanagerfactory.cpp src/mediamanagerfactory.h
  * Add first part of things needed for Miracast support added:
    src/basesourcemediamanager.cpp src/basesourcemediamanager.h
    src/miracastsource.cpp src/miracastsource.h
    src/miracastsourceclient.cpp src/miracastsourceclient.h
    src/mirsourcemediamanager.cpp src/mirsourcemediamanager.h
  * Add hardware encoding and video streaming support.
  * Add initial debian packaging added: debian/ debian/changelog
    debian/compat debian/control debian/copyright debian/miracast-
    service/ debian/miracast-service.debhelper.log debian/miracast-
    service/usr/ debian/miracast-service/usr/bin/ debian/miracast-
    service/usr/bin/miracast-service debian/miracast-service/usr/share/
    debian/miracast-service/usr/share/doc/ debian/miracast-
    service/usr/share/doc/miracast-service/ debian/miracast-
    service/usr/share/doc/miracast-service/changelog.gz debian/miracast-
    service/usr/share/doc/miracast-service/copyright debian/rules
    debian/source/ debian/source/format
  * Add integration tests to ensure performance doesn't regress
  * Add missing COPYING and README files added: COPYING README.md
  * Add missing WiFi display device info class added:
    src/wfddeviceinfo.h
  * Add missing warning for null media manager implementation
  * Add more verbose output for supplicant
  * Add proper repsawning of supplicant when it exists
  * Add set of tests for WpaSupplicantCommandQueue implementation.
    Convert WpaSupplicantMessage tests to gtest. removed:
    src/wpa/wpasupplicantmessage_test.cpp added: tests/wpa/
    tests/wpa/CMakeLists.txt
    tests/wpa/wpasupplicantcommandqueue_test.cpp
    tests/wpa/wpasupplicantmessage_test.cpp
  * Add support for persistent connections
  * Add unix signal handler added: src/unixsignalhandler.cpp
    src/unixsignalhandler.h
  * Add upstart job and install it added: conf/CMakeLists.txt
    conf/miracast-service.conf.in
  * Changing logging format.
  * Check manager role rather than peer one and set sane default
  * Check response status when attaching to supplicant for events
  * Cleanup miracast source class a bit
  * Configure source media manager once we ready
  * Consider selected H264 profile when setting up encoder
  * Convert even more noncopyable.hpp references
  * Convert remaining references to org.wds to org.aethercast.
  * Correctly handle peer lost message
  * Depend on correct wds soversion
  * Depend on wpasupplicant at installation time and on libwds1 at build
    time until wds is properly updated.
  * Detect client disconnects on RTSP channel

