=== debian/control ===
Source: aethercast
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Simon Fels <simon.fels@canonical.com>
Build-Depends: android-headers-19 (>= 23),
               cmake,
               debhelper (>= 9),
               dh-apparmor,
               dbus,
               google-mock,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-log-dev,
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libboost-system-dev,
# boost log needs exactly one symbol from boost-thread for resolving
# thread-specific storage locations.
               libboost-thread-dev,
               libglib2.0-dev,
               libgtest-dev,
               libhybris-dev,
               liblttng-ust-dev,
               libmedia-dev,
               libmirclient-dev,
               libreadline-dev,
               libreadline6-dev,
               libwds-dev,
               pkg-config
Standards-Version: 3.9.4
Homepage: http://launchpad.net/aethercast
# If you aren't a member of ~phablet-team but need to upload packaging changes,
# just go ahead.  ~phablet-team will notice and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/aethercast/trunk
Vcs-Browser: http://bazaar.launchpad.net/aethercast/trunk/files

Package: aethercast
Architecture: i386 amd64 armhf arm64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         aethercast-tools,
         isc-dhcp-server,
         isc-dhcp-client,
         wpasupplicant
Description: Display casting service
 A management service that streams current device screen content
 to a remote display. This service supports several different
 protocols such as Miracast.

Package: aethercast-tools
Architecture: i386 amd64 armhf arm64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         isc-dhcp-server,
         isc-dhcp-client,
         wpasupplicant
Description: Tools for the display casting service
 A management service that streams current device screen content
 to a remote display. This service supports several different
 protocols such as Miracast.
 .
 This package contains small utilities that assist in working with
 the display streaming stack.

Package: aethercast-tests
Architecture: i386 amd64 armhf arm64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         isc-dhcp-server,
         isc-dhcp-client,
         wpasupplicant
Description: Tests for the display casting service
 A management service that streams current device screen content
 to a remote display. This service supports several different
 protocols such as Miracast.
 .
 This package contains tests programs that check the service and
 the system for confirmity with what aethercast requires to work
 properly.
