=== debian/changelog ===
aethercast (0.1+17.04.20170328.1-0ubuntu1) zesty; urgency=medium

  [ Balint Reczey ]
  * Fix zesty FTBFS by replacing the bundling of googletest
    with find_package from cmake-extra. (LP: #1640317, LP: #1644062)
  * Fix installation to multiarch path during build

 -- morphis <simon.fels@canonical.com>  Tue, 28 Mar 2017 05:51:12 +0000

aethercast (0.1+16.10.20160808-0ubuntu4) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:07:20 +0000
