=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 XSBC-Original-Maintainer: Simon Fels <simon.fels@canonical.com>
 Build-Depends: android-headers-19 (>= 23),
                cmake,
+               cmake-extras,
                debhelper (>= 9),
                dh-apparmor,
                dbus,
